Subject: bug#36771: 27.0.50; mailcap documentation and effect missmatch

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 13 Oct 2019 19:18:26 +0200

Tomas Nordin <[email-masked]> writes:

> I don't know how to properly test some patched lisp files without
> rebuilding and reinstalling.

You don't need to reinstall, really -- just:

git clone git://git.savannah.gnu.org/emacs.git
cd emacs
make
./src/emacs &

> If I manually load the patched files seq.el
> and mailcap.el in my "normal" emacs it works as I would expect it to
> work, thanks.

Great; thanks for testing.  Since this seems to work now, I'm closing
this bug report.

> If I do emacs -Q and manually load those files and
>
> (require 'mailcap)
> (mailcap-mime-info "text/html")
>
> I get
>
>   Debugger entered--Lisp error: (void-function when-let)
>   ...
>
> But maybe that test case is confused. What do you think?

You probably need to say (require 'subr-x) in that case.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no